local damagsrv = lgs.DamageSrv
local propsrv = lgs.PropertySrv

function DrownStimStimulus(msg)
	if propsrv.Get(script.objid, "AirSupply")>0 then
		propsrv.Set(script.objid, "AirSupply", propsrv.Get(script.objid,"AirSupply")-msg.intensity)
	else
		damagsrv.Damage(script.objid,0,1,msg.stimulis)
		propsrv.Set(script.objid, "AirSupply", 200)
	end
	return true
end